Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
From: derhoermi at gmx.net (Bjoern Hoehrmann)
Date: Thu Sep 8 22:39:42 2005

* 'Liam Quin' wrote:
>Note that the information is also elsewhere in the published
>specification -- it's at the beginning of the document -- since
>this Internet Type information is being published as part
>of a larger document.

My understanding is that IANA will maintain a copy of the template, see
e.g. <http://www.iana.org/assignments/media-types/application/xop+xml>.
-- 
Bj?rn H?hrmann ? mailto:[email-masked] ? http://bjoern.hoehrmann.de
Weinh. Str. 22 ? Telefon: +49(0)621/4309674 ? http://www.bjoernsworld.de
68309 Mannheim ? PGP Pub. KeyID: 0xA4357E78 ? http://www.websitedev.de/ 
>From [email-masked]  Fri Sep  9 02:46:09 2005
From: liam at w3.org ('Liam Quin')
Date: Fri Sep  9 02:45:55 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Thu, Sep 08, 2005 at 10:29:26PM +0200, Chris Lilley wrote:
> On Thursday, September 8, 2005, 8:48:53 PM, 'Liam wrote:
> 
> LQ> On Thu, Sep 08, 2005 at 02:12:43PM -0400, Scott Hollenbeck wrote:
> >> Thanks, but my point is that you need to put this info in the template
> >> itself.
> LQ> OK, noted.
> 
> LQ> Note that the information is also elsewhere in the published
> LQ> specification -- it's at the beginning of the document -- since
> LQ> this Internet Type information is being published as part
> LQ> of a larger document.
> 
> LQ> Liam
> 
> Liam,
> 
> this has come up before as W3C uses the new process. The requirement to
> make the registration template an appendix in the spec means that people
> tend to forget that the appendix also has the be read as an independent
> document by the people here.
> 
> The appendix has to make sense as a standalone registrations, so rather
> than saying "this document" say "the document at (url) called (title)".

Thanks (Chris and Scott and Paul) --

We will publish another round of draft documents very soon, but the set
after that will reflect these and any other comments, and yes, will
have the URI in it :-)

Liam

-- 
Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
http://www.holoweb.net/~liam/
>From [email-masked]  Fri Sep  9 20:25:06 2005
From: duerst at it.aoyama.ac.jp (Martin Duerst)
Date: Fri Sep  9 21:57:14 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
	<[email-masked]> <[email-masked]>
Message-ID: <6.0.0.20.2.20050910031859.04c45150@localhost>

At 05:29 05/09/09, Chris Lilley wrote:

 >this has come up before as W3C uses the new process. The requirement to
 >make the registration template an appendix in the spec means that people
 >tend to forget that the appendix also has the be read as an independent
 >document by the people here.

Just a small point:
There is no requirement that the template be an *appendix*. For many
specs, making the template an appendix will work out fine, but it could
as well be a section or subsection if that works better for the spec
in question.

 >The appendix has to make sense as a standalone registrations, so rather
 >than saying "this document" say "the document at (url) called (title)".

Yes, indeed. It will be self-referencing :-).

Regards,   Martin. 

From: liam at w3.org ('Liam Quin')
Date: Thu Sep  8 20:48:38 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Thu, Sep 08, 2005 at 02:12:43PM -0400, Scott Hollenbeck wrote:
> Thanks, but my point is that you need to put this info in the template
> itself.
OK, noted.

Note that the information is also elsewhere in the published
specification -- it's at the beginning of the document -- since
this Internet Type information is being published as part
of a larger document.

Liam

-- 
Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
http://www.holoweb.net/~liam/
>From [email-masked]  Thu Sep  8 22:29:26 2005
From: chris at w3.org (Chris Lilley)
Date: Thu Sep  8 22:29:21 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
	<[email-masked]>
Message-ID: <[email-masked]>

On Thursday, September 8, 2005, 8:48:53 PM, 'Liam wrote:

LQ> On Thu, Sep 08, 2005 at 02:12:43PM -0400, Scott Hollenbeck wrote:
>> Thanks, but my point is that you need to put this info in the template
>> itself.
LQ> OK, noted.

LQ> Note that the information is also elsewhere in the published
LQ> specification -- it's at the beginning of the document -- since
LQ> this Internet Type information is being published as part
LQ> of a larger document.

LQ> Liam

Liam,

this has come up before as W3C uses the new process. The requirement to
make the registration template an appendix in the spec means that people
tend to forget that the appendix also has the be read as an independent
document by the people here.

The appendix has to make sense as a standalone registrations, so rather
than saying "this document" say "the document at (url) called (title)".

-- 
 Chris Lilley                    mailto:[email-masked]
 Chair, W3C SVG Working Group
 W3C Graphics Activity Lead
 Co-Chair, W3C Hypertext CG

From: liam at w3.org ('Liam Quin')
Date: Thu Sep  8 20:06:50 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Thu, Sep 08, 2005 at 12:54:46PM -0400, Scott Hollenbeck wrote:
> The "Published specification" section of the template should include a
> pointer (a URL is OK) to the published specification that describes the
> media type.

The specification is a draft, but my fault for omitting the link!!

The text is at: http://www.w3.org/TR/2005/WD-xslt20-20050404/

The latest public version of the XSLT 2 specification
is always at http://www.w3.org/TR/xslt20/
(the links get you the same result right now, of course)

Liam

-- 
Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
http://www.holoweb.net/~liam/
>From [email-masked]  Thu Sep  8 20:12:43 2005
From: sah at 428cobrajet.net (Scott Hollenbeck)
Date: Thu Sep  8 20:12:46 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> -----Original Message-----
> From: 'Liam Quin' [mailto:[email-masked]] 
> Sent: Thursday, September 08, 2005 2:07 PM
> To: Scott Hollenbeck
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: W3C Last Call and Media Type request for 
> comments: XSLT 2.0
> 
> On Thu, Sep 08, 2005 at 12:54:46PM -0400, Scott Hollenbeck wrote:
> > The "Published specification" section of the template 
> should include a
> > pointer (a URL is OK) to the published specification that 
> describes the
> > media type.
> 
> The specification is a draft, but my fault for omitting the link!!
> 
> The text is at: http://www.w3.org/TR/2005/WD-xslt20-20050404/
> 
> The latest public version of the XSLT 2 specification
> is always at http://www.w3.org/TR/xslt20/
> (the links get you the same result right now, of course)

Thanks, but my point is that you need to put this info in the template
itself.

-Scott-

From: magnus.westerlund at ericsson.com (Magnus Westerlund)
Date: Thu Sep  1 17:17:07 2005
Subject: Request for review of 9 MIME type for 3GPP SA4
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Hi,

I have now updated the registration document. Please review and comment. 
The document can this time be read using PDF and fetched from this location:
http://standards.ericsson.net/westerlund/S4-050563-MIME.pdf

Thanks

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]
>From [email-masked]  Thu Sep  8 18:49:37 2005
From: liam at w3.org (Liam Quin)
Date: Thu Sep  8 18:49:27 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
Message-ID: <[email-masked]>

[
    Notes:

    We slipped up in not sending this along with the Last Call
    announcement; please caaept our apologies.

    We are using bugzilla to track comments on this document;
    comments on the MIME-related part of the document may be made
    on the ietf-types mailing list or in Bugzilla.  See the
    "Status of this Document" section for further information.

    We are following
    http://www.ietf.org/internet-drafts/draft-freed-media-type-reg-05.txt
    here, and the text is written to be part of a larger document.

    Finally, as for XQuery, we'll probably expand the Security
    Considerations after gaining more implementation experience.

]

Registration of MIME Media Type application/xslt+xml
----------------------------------------------------

MIME media type name: application
   MIME subtype name: xslt+xml
 Required parameters: None.
 Optional parameters: charset
    This parameter has identical semantics to the charset parameter
    of the application/xml media type as specified in [RFC3023].

Encoding considerations:
    By virtue of XSLT content being XML, it has the same considerations
    when sent as "application/xslt+xml" as does XML. See RFC 3023,
    section 3.2.

Security considerations:
    Several XSLT instructions may cause arbitrary URIs to be
    dereferenced. In this case, the security issues of [RFC3986],
    section 7, should be considered.

    In addition, because of the extensibility features for XSLT, it is
    possible that "application/xslt+xml" may describe content that has
    security implications beyond those described here. However, if the
    processor follows only the normative semantics of this specification,
    this content will be ignored. Only in the case where the processor
    recognizes and processes the additional content, or where further
    processing of that content is dispatched to other processors, would
    security issues potentially arise. And in that case, they would fall
    outside the domain of this registration document.

Interoperability considerations:

    This specification describes processing semantics that dictate
    behavior that must be followed when dealing with, among other things,
    unrecognized elements.

    Because XSLT is extensible, conformant "application/xslt+xml"
    processors can expect that content received is well-formed XML,
    but it cannot be guaranteed that the content is valid XSLT or that
    the processor will recognize all of the elements and attributes in
    the document.

Published specification:

    This media type registration is for XSLT stylesheet modules as
    described by this specification. It is also appropriate to use this
    media type with earlier and later versions of the XSLT language.

Applications which use this media type:

    Existing XSLT 1.0 stylesheets are most often described using the
    unregistered media type "text/xsl".

    There is no experimental, vendor specific, or personal tree
    predecessor to "application/xslt+xml", reflecting the fact that
    no applications currently recognize it. This new type is being
    registered in order to allow for the expected deployment of XSLT
    2.0 on the World Wide Web, as a first class XML application.

Additional information:

    Magic number(s):

        There is no single initial octet sequence that is always present
        in XSLT documents.

    File extension(s):

        XSLT documents are most often identified with the extensions
        ".xsl" or ".xslt".

    Macintosh File Type Code(s):

        TEXT

Person & email address to contact for further information:

    Norman Walsh, <[email-masked]>.

Intended usage:

    COMMON

Author/Change controller:

    The XSLT specification is a work product of the World Wide Web
    Consortium's XSL Working Group. The W3C has change control over
    these specifications.

B.2 Fragment Identifiers

    For documents labeled as "application/xslt+xml", the fragment identifier
    notation is exactly that for "application/xml", as specified in RFC 3023.

-- 
Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
http://www.holoweb.net/~liam/
>From [email-masked]  Thu Sep  8 18:54:46 2005
From: sah at 428cobrajet.net (Scott Hollenbeck)
Date: Thu Sep  8 18:54:47 2005
Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Liam,

The "Published specification" section of the template should include a
pointer (a URL is OK) to the published specification that describes the
media type.

-Scott-

> -----Original Message-----
> From: Liam Quin [mailto:[email-masked]] 
> Sent: Thursday, September 08, 2005 12:50 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: W3C Last Call and Media Type request for comments: XSLT 2.0
> 
> [
>     Notes:
> 
>     We slipped up in not sending this along with the Last Call
>     announcement; please caaept our apologies.
> 
>     We are using bugzilla to track comments on this document;
>     comments on the MIME-related part of the document may be made
>     on the ietf-types mailing list or in Bugzilla.  See the
>     "Status of this Document" section for further information.
> 
>     We are following
>     
> http://www.ietf.org/internet-drafts/draft-freed-media-type-reg-05.txt
>     here, and the text is written to be part of a larger document.
> 
>     Finally, as for XQuery, we'll probably expand the Security
>     Considerations after gaining more implementation experience.
> 
> ]
> 
> 
> Registration of MIME Media Type application/xslt+xml
> ----------------------------------------------------
> 
> MIME media type name: application
>    MIME subtype name: xslt+xml
>  Required parameters: None.
>  Optional parameters: charset
>     This parameter has identical semantics to the charset parameter
>     of the application/xml media type as specified in [RFC3023].
> 
> Encoding considerations:
>     By virtue of XSLT content being XML, it has the same 
> considerations
>     when sent as "application/xslt+xml" as does XML. See RFC 3023,
>     section 3.2.
> 
> Security considerations:
>     Several XSLT instructions may cause arbitrary URIs to be
>     dereferenced. In this case, the security issues of [RFC3986],
>     section 7, should be considered.
> 
>     In addition, because of the extensibility features for XSLT, it is
>     possible that "application/xslt+xml" may describe content that has
>     security implications beyond those described here. However, if the
>     processor follows only the normative semantics of this 
> specification,
>     this content will be ignored. Only in the case where the processor
>     recognizes and processes the additional content, or where further
>     processing of that content is dispatched to other 
> processors, would
>     security issues potentially arise. And in that case, they 
> would fall
>     outside the domain of this registration document.
> 
> Interoperability considerations:
> 
>     This specification describes processing semantics that dictate
>     behavior that must be followed when dealing with, among 
> other things,
>     unrecognized elements.
> 
>     Because XSLT is extensible, conformant "application/xslt+xml"
>     processors can expect that content received is well-formed XML,
>     but it cannot be guaranteed that the content is valid XSLT or that
>     the processor will recognize all of the elements and attributes in
>     the document.
> 
> Published specification:
> 
>     This media type registration is for XSLT stylesheet modules as
>     described by this specification. It is also appropriate 
> to use this
>     media type with earlier and later versions of the XSLT language.
> 
> Applications which use this media type:
> 
>     Existing XSLT 1.0 stylesheets are most often described using the
>     unregistered media type "text/xsl".
> 
>     There is no experimental, vendor specific, or personal tree
>     predecessor to "application/xslt+xml", reflecting the fact that
>     no applications currently recognize it. This new type is being
>     registered in order to allow for the expected deployment of XSLT
>     2.0 on the World Wide Web, as a first class XML application.
> 
> Additional information:
> 
>     Magic number(s):
> 
>         There is no single initial octet sequence that is 
> always present
>         in XSLT documents.
> 
>     File extension(s):
> 
>         XSLT documents are most often identified with the extensions
>         ".xsl" or ".xslt".
> 
>     Macintosh File Type Code(s):
> 
>         TEXT
> 
> Person & email address to contact for further information:
> 
>     Norman Walsh, <[email-masked]>.
> 
> Intended usage:
> 
>     COMMON
> 
> Author/Change controller:
> 
>     The XSLT specification is a work product of the World Wide Web
>     Consortium's XSL Working Group. The W3C has change control over
>     these specifications.
> 
> B.2 Fragment Identifiers
> 
>     For documents labeled as "application/xslt+xml", the 
> fragment identifier
>     notation is exactly that for "application/xml", as 
> specified in RFC 3023.
> 
> -- 
> Liam Quin, W3C XML Activity Lead, http://www.w3.org/People/Quin/
> http://www.holoweb.net/~liam/
> 

From: [email-masked] (Keith Moore)
Date: Tue 18 Dec 2001 13:14:25 -0500
Subject: Registration of MIME media type application/vnd.broadshow.streampoint.producer+xml
In-Reply-To: Your message of "Tue, 18 Dec 2001 16:45:57 GMT." <[email-masked]>
Message-ID: <[email-masked]>

> Security considerations: files are transmitted via secure channels (either
> SSL or VPN) only. Does not contain any personal or sensitive data.

this is still grossly insufficient.  

why, as a user, should I trust this kind of content to be evaluated on 
my computers?